.portfolio_image_wrapperClass {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  position: relative;
}
.prevClass, .nextClass {
  position: absolute;
  bottom: 0%;
  z-index: 301;
  max-width: 4em;
}
.prevClass {
  right: 50%;
}
.nextClass {
  left: 55%;
}
a.prevClass, a.nextClass {
  color: red;
  text-decoration: none;
  text-shadow: 0px 0px 3px white;
}
a.prevClass:hover, a.nextClass:hover {
  color: #ff4c4c;
}
 a.prevClass {
  margin-right: 0%;
  text-align: right;
}
a.nextClass {
  margin-left: 0%;
  text-align: left;
}
.imgChevronZoom {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
}
.zoom_buttonareaClass {
  width: 100%;
  -webkit-box-pack: left;
      -ms-flex-pack: left;
          justify-content: left;
  z-index: 500;
}
.allPhotoNumbersClass {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-direction: row;
          flex-direction: row;
  position: absolute;
  bottom: 0%;
  z-index: 300;
  width: 100%;
  -webkit-box-pack: left;
      -ms-flex-pack: left;
          justify-content: left;
}
.photoNumberClass {
  font-weight: bolder;
  color: black;
  font-family: sans-serif;
  font-size: calc(1em + 1vw);
}
.photoNumberLinkClass {
  text-decoration: none;
  cursor: pointer;
  color: inherit;
}
a.photoNumberLinkClass:hover {
  border-style: inset;
  border-width: .2vw;
  border-radius: 5px;
  border-color: lightgrey;
}
@supports ((display: -ms-grid) or (display: grid)) {
  .portfolio_image_wrapperClass {
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: 1fr auto 1fr;
    grid-template-columns: 1fr auto 1fr;
    -ms-grid-rows: auto 1vh -webkit-min-content 1vh auto 1vh -webkit-min-content 1vh -webkit-min-content;
    -ms-grid-rows: auto 1vh min-content 1vh auto 1vh min-content 1vh min-content;
    grid-template-rows: auto -webkit-min-content auto -webkit-min-content -webkit-min-content;
    grid-template-rows: auto min-content auto min-content min-content;
    grid-row-gap: 1vh;
        grid-template-areas:
                        ". image_area ."
                        ". image_area ."
                        ". image_area ."
                        ". zoombutton_area ."
                        ". innerwrapper .";
  }
  .allPhotoNumbersClass {
    -ms-grid-row: 1;
    -ms-grid-row-span: 5;
    -ms-grid-column: 2;
    grid-area: image_area;
  }
  .imageClass {
    -ms-grid-row: 1;
    -ms-grid-row-span: 5;
    -ms-grid-column: 2;
    grid-area: image_area;
  }
  .imgChevronZoom {
    -ms-grid-row: 1;
    -ms-grid-row-span: 5;
    -ms-grid-column: 2;
    grid-area: image_area;
  }
  .prevClass, .nextClass {
    -ms-grid-row: 1;
    -ms-grid-row-span: 5;
    -ms-grid-column: 2;
    grid-area: image_area;
    -ms-grid-row: 3;
    grid-row: 3;
  }
  .enlarged_photoClass {
    -ms-grid-row: 1;
    -ms-grid-row-span: 5;
    -ms-grid-column: 2;
    grid-area: image_area;
  }
  .modalClass {
    -ms-grid-row: 1;
    -ms-grid-row-span: 5;
    -ms-grid-column: 2;
    grid-area: image_area;
  }
  .zoom_buttonareaClass {
    -ms-grid-row: 7;
    -ms-grid-column: 2;
    grid-area: zoombutton_area;
  }
}
.enlarged_photoClass {
  display: none;
  position: absolute;
}
.modalClass {
  display: none;
  position: fixed;
  z-index: 500;
  padding-top: 2vh;
  padding-bottom: 2vh;
  left: 0;
  top: 0;
  width: 100vw;
  height: 100vh;
  background-color: rgba(0,0,0,0.80);
}
.modal_contentClass {
  display: block;
  max-width: 98vw;
  max-height: 100vmin;
  margin-left: auto;
  margin-right: auto;
  -webkit-animation-name: zoom;
          animation-name: zoom;
  -webkit-animation-duration: 0.6s;
          animation-duration: 0.6s;
}
#modalCloseButtonID {
  position: fixed;
  right: .5%;
  top: .5%;
  width: 4vw;
  min-width: 35px;
  max-width: 60px;
  border: solid 2px black;
  border-radius: 10px;
  cursor: pointer;
}
#modalCloseButtonID:hover {
  border-style: inset;
  border-width: .2vw;
  border-radius: 5px;
}
@-webkit-keyframes zoom {
    from {-webkit-transform:scale(0);transform:scale(0)}
    to {-webkit-transform:scale(1);transform:scale(1)}
}
@keyframes zoom {
    from {-webkit-transform:scale(0);transform:scale(0)}
    to {-webkit-transform:scale(1);transform:scale(1)}
}
.zoom_buttonClass {
  cursor: pointer;
  width: 4vw;
  min-width: 30px;
  max-width: 60px;
}
.zoom_buttonClass:hover {
  border-style: inset;
  border-width: .2vw;
  border-radius: 5px;
}
@media screen and (max-width: 479px) {
  .modal_contentClass {
    max-width: 90vw;
  }
  a.prevClass, a.nextClass {
    font-size:calc(1em + 1vw);
  }
  .photoNumberClass {
    font-size: calc(1em - .25vw);
  }
}
@media screen and (min-width: 480px) {
    a.prevClass, a.nextClass {
      font-size:calc(1.75em + 1vw);
    }
}
@media screen and (min-width: 1400px) {
    .photoNumberClass {
      font-size: 2em;
    }
    a.prevClass, a.nextClass {
      font-size:3em;
    }
}
